org.apache.maven.scm.command.changelog

## Interface ChangeLogCommand

- All Known Implementing Classes:
    AbstractChangeLogCommand, AbstractCvsChangeLogCommand, BazaarChangeLogCommand, ClearCaseChangeLogCommand, CvsExeChangeLogCommand, CvsJavaChangeLogCommand, GitChangeLogCommand, HgChangeLogCommand, LocalChangeLogCommand, PerforceChangeLogCommand, StarteamChangeLogCommand, SvnChangeLogCommand, SynergyChangeLogCommand, TfsChangeLogCommand

      public interface ChangeLogCommand

  Version:
    $Id: ChangeLogCommand.java 483105 2006-12-06 15:07:54Z evenisse $
  Author:
    Emmanuel Venisse

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ScmResult` | `executeCommand(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`

- - ### Method Detail

    - #### executeCommand

          ScmResult executeCommand(ScmProviderRepository repository,
                                 ScmFileSet fileSet,
                                 CommandParameters parameters)
                                   throws ScmException

      Throws:
        `ScmException`

Copyright © 2003–2015. All rights reserved.